module('cookie');

var cookieApiKey = 'fakeapikey';

test('clear existing cookie if necessary', function() {
    var origApiKey = DI._apiKey;
    DI._apiKey = cookieApiKey;
    DI.Cookie.clear();
    ok(true, 'cookie cleared without errors');
    DI._apiKey = origApiKey;
});

test('load cookie that doesnt exist', function() {
    var origApiKey = DI._apiKey;
    DI._apiKey = cookieApiKey;

    ok(!DI.Cookie.load(), 'should not get a cookie');

    DI._apiKey = origApiKey;
});

test('set a cookie, load and delete it', function() {
    var origApiKey = DI._apiKey;
    DI._apiKey = cookieApiKey;

    DI.Cookie.set({
        expires: (1000000 + (+new Date())) / 1000,
        base_domain: document.domain,
        answer: 42
    });
    ok(document.cookie.match('dis_' + cookieApiKey), 'found in document.cookie');
    console.log(DI.Cookie.load());
    ok(DI.Cookie.load().answer == 42, 'found the answer');
    DI.Cookie.clear();
    ok(!document.cookie.match('dis_' + cookieApiKey), 'not found in document.cookie');
    ok(!DI.Cookie.load(), 'no cookie loaded');

    DI._apiKey = origApiKey;
  }
);

test('set an expired cookie and load it', function() {
    var origApiKey = DI._apiKey;
    DI._apiKey = cookieApiKey;

    DI.Cookie.set({
        expires: ((+new Date()) - 10000) / 1000,
        base_domain: document.domain,
        answer: 42
    });
    ok(!document.cookie.match('dis_' + cookieApiKey), 'not found in document.cookie');
    ok(!DI.Cookie.load(), 'no cookie loaded');

    DI._apiKey = origApiKey;
});
